Bug 266941 - Review Request: php-pear-Phing - A project build system based on Apache Ant
Review Request: php-pear-Phing - A project build system based on Apache Ant
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 275231
Blocks: 266841 337801 351441
  Show dependency treegraph
 
Reported: 2007-08-30 08:33 EDT by Alexander Kahl
Modified: 2010-07-07 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 04:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-08-30 08:33:24 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-Phing.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-Phing-2.3.0-0.5.beta1.fc7.src.rpm
Description: PHing Is Not GNU make; it's a project build system based on Apache Ant.

You can do anything with it that you could do with a traditional build
system like GNU make, and its use of simple XML build files and extensible
PHP "task" classes make it an easy-to-use and highly flexible build
framework. Features include file transformations (e.g. token replacement,
XSLT transformation, Smarty template transformations), file system operations,
interactive build support, SQL execution, CVS operations, tools for creating
PEAR packages, and much more.

--

This package relies on php-channel-phing, available in the same repository.
This is a beta version containing many new important features like PHPUnit3 support and works well, i.e. stable for me.

I'm still searching for a sponsor.
Comment 2 Alexander Kahl 2007-10-16 10:25:46 EDT
Updated Spec URL:
http://akahl.fedorapeople.org/php-pear-phing.spec
Updated SRPM URL:
http://akahl.fedorapeople.org/php-pear-phing-2.3.0-0.1.RC1.fc7.src.rpm

Changelog:
- new release candidate version
- consequently adapted macros for all shell operations
- sanitized requires
- switched build root macro style
- additional s/\r\n/\n/g fixes
Comment 3 Jason Tibbitts 2007-10-23 19:37:52 EDT
This fails to build for me:

+ /usr/bin/pear install --nodeps --packagingroot
/var/tmp/php-pear-phing-2.3.0-0.1.RC1.fc8-root-mockbuild phing.xml
parsePackageName(): invalid package name "phing.xml" in "phing.xml"
Unknown channel "pear.phing.info"
Parsing of package.xml from file "phing.xml" failed
Cannot initialize 'phing.xml', invalid or missing package file
Package "phing.xml" is not valid
install failed
error: Bad exit status from /var/tmp/rpm-tmp.46949 (%install)
Comment 4 Alexander Kahl 2007-10-30 08:05:06 EDT
I've found the bug, the wrong channel.xml file was included within
php-channel-phing so pear couldn't recognize the channel. Updates for F-7 and
F-8 are already being pushed.
Comment 5 Alexander Kahl 2007-11-03 21:34:09 EDT
Builds fine on fc7-dist now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=225547

Still waiting for the php-channel-phing update push on f8.
Comment 6 Alexander Kahl 2007-11-06 10:52:00 EST
Updated Spec URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-phing.spec
Updated SRPM URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-phing-2.3.0-1.fc7.src.rpm

php-pear-phing has been pushed for F8, scratch building on koji is now successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=228063

Will you continue the review now, please?
Comment 7 Jason Tibbitts 2007-11-18 21:26:02 EST
Sorry; I seem to have missed your reply; you should always feel free to ping me.

This builds fine and looks OK; full review forthcoming.  One odd thing I notice
is that installing just this module pulls in 134 packages which aren't pulled in
by the build dependencies, including a bunch of Gnome.  I think something ends
up with a dependency on php-pear-Image-GraphViz, which pulls in graphviz, which
is a graphical application and so needs all sorts of crap.  Perhaps someone
should look at splitting off graphviz-libs.
Comment 8 Jason Tibbitts 2007-11-18 21:41:49 EST
* source files match upstream:
   7e745f5ddc1cd7cd84be10a0a85b089470468ea626d0d168f0c55c4387f95eb8  
   phing-2.3.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license (no LGPL version stated, so LGPLv2+ 
   applies)
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(pear.phing.info/phing) = 2.3.0
   php-pear-phing = 2.3.0-1.fc9
  =
   /bin/sh
   /usr/bin/pear
   php-channel(pear.phing.info)
   php-cli >= 5.0.1
   php-pear
   php-pear(pear.phpunit.de/PHPUnit) >= 3.0
   php-pecl-xdebug >= 2.0.0

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 9 Alexander Kahl 2007-11-20 12:08:47 EST
(In reply to comment #7)
> Sorry; I seem to have missed your reply; you should always feel free to ping me.
Will do in the future!

> [...] so needs all sorts of crap.  Perhaps someone
> should look at splitting off graphviz-libs.

I can file a report for that if you want.
Comment 10 Alexander Kahl 2007-11-20 12:10:11 EST
New Package CVS Request
=======================
Package Name:      php-pear-phing
Short Description: A project build system based on Apache Ant
Owners:            akahl
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2007-11-20 13:52:19 EST
cvs done.
Comment 12 Christopher Stone 2007-11-25 14:52:35 EST
(In reply to comment #9)
> (In reply to comment #7)
> > Sorry; I seem to have missed your reply; you should always feel free to ping me.
> Will do in the future!
> 
> > [...] so needs all sorts of crap.  Perhaps someone
> > should look at splitting off graphviz-libs.
> 
> I can file a report for that if you want.


I just noticed this doing a search for my old review request on
php-pear-Image-GraphViz.  I think php-pear-Image-GraphViz requries graphviz for
the "dot" command.  IIRC, the php-pear-Image-GraphViz source code actually makes
a system call to "dot" which is why it requires graphviz.  Hope this helps.
Comment 13 Christopher Stone 2007-11-25 15:16:46 EST
Okay, I looked into this and it appears php-pear-PHPUnit is pulling in
php-pear-Image-GraphViz.  It looks like I will need to split up the
php-pear-PHPUnit package.  Please allow me some time to discuss this on the
php-devel list.

http://fedoraproject.org/wiki/PackagingDrafts/PHP#head-d17f63e05f4104fca50f0862125e4cf8490591bf
Comment 14 Christof Damian 2010-07-06 16:52:06 EDT
Package Change Request
======================
Package Name: php-pear-phing
New Branches: EL-6
Owners: cdamian
Comment 15 Kevin Fenzi 2010-07-07 21:12:20 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.